document
//> #document
document.head
//> <head>​…​</head>​
document.body
//> <body>​…​</body>​
b = document.body
//> <body>​…​</body>​
b.children
//> HTMLCollection(2) [h1, p]
b.children.length
//> 2
b.children[0]
//> <h1>​DOM and Events​</h1>​
// right click above, store as global
temp1
//> <h1>​DOM and Events​</h1>​
temp1
//> <h1>​DOM and Events​</h1>​
temp1.parentElement
//> <body>​…​</body>​
temp1.nextElementSibling
//> <p>​…​</p>​
temp1.textContent
//> 'DOM and Events'
temp1.textContent = "New text"
//> 'New text'
b.children[1].children[0]
//> <a href=​"https:​/​/​cs193x.stanford.edu">​link​</a>​
// right click above, store as global
temp2
//> <a href=​"https:​/​/​cs193x.stanford.edu">​link​</a>​
temp2.href
//> 'https://cs193x.stanford.edu/'
temp2.href = "index.html"
//> 'index.html'
temp2.href
//> 'http://localhost:1930/index.html'

document.body.children
//> HTMLCollection(2) [h1, p#para, para: p#para]
document.body.children.para
//> <p id=​"para">​…​</p>​
el = document.createElement("p")
//> <p>​</p>​
el.textContent = "Hello, world"
//> 'Hello, world'
document.body.append(el)
//> undefined
el.remove()
//> undefined

p = document.body.children.clickme
//> <p id=​"clickme">​Click me!​</p>​
const handleClick = () => {
  alert("Clicked!");
}
//> undefined
p.addEventListener("click", handleClick)
//> undefined
